Bug 92645 - kodi vdpau interop fails since mesa,meta: move gl_texture_object::TargetIndex initializations
Summary: kodi vdpau interop fails since mesa,meta: move gl_texture_object::TargetInde...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-23 15:09 UTC by Andy Furniss
Modified: 2015-10-29 16:25 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
possible fix (895 bytes, patch)
2015-10-27 10:13 UTC, Marek Olšák
Details | Splinter Review
fix 2 (1.16 KB, patch)
2015-10-27 17:10 UTC, Marek Olšák
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andy Furniss 2015-10-23 15:09:43 UTC
Kodi when using vdpau decode on tonga GPU does not render anything since 

commit 7d7dd1871174905dfdd3ca874a09d9d7837ac743
Author: Brian Paul <brianp@vmware.com>
Date:   Mon Oct 5 08:14:56 2015 -0600

    mesa,meta: move gl_texture_object::TargetIndex initializations
    
    Before, we were unconditionally assigning the TargetIndex field in
    _mesa_BindTexture(), even if it was already set properly.  Now we
    initialize TargetIndex wherever we initialize the Target field, in
    _mesa_initialize_texture_object(), finish_texture_init(), etc.
    
    v2: also update the meta_copy_image code.  In make_view() the
    view_tex_obj->Target field was set, but not the TargetIndex field.
    Also, remove a second, redundant assignment to view_tex_obj->Target.
    Add sanity check assertions too.

Its debug log shows -

15:52:36 T:140075084736256  NOTICE: VDPAU::COutput registered output surfaces
15:52:36 T:140076208588672  NOTICE: Previous line repeats 4 times.
15:52:36 T:140076208588672   DEBUG: CLinuxRendererGL::GetPlaneTextureSize - invalid size 0x0 - 0

<last line repeats>


I guess this is something to do with vdpau interop, but mpv interop still works ...
Comment 1 Marek Olšák 2015-10-27 10:13:09 UTC
Created attachment 119221 [details] [review]
possible fix

Could you please test this patch?
Comment 2 Andy Furniss 2015-10-27 11:10:36 UTC
(In reply to Marek Olšák from comment #1)
> Created attachment 119221 [details] [review] [review]
> possible fix
> 
> Could you please test this patch?

Working OK with the patch, thanks.
Comment 3 Marek Olšák 2015-10-27 17:10:00 UTC
Created attachment 119225 [details] [review]
fix 2

The first fix was not completely correct. Would you please test this one? Thanks.
Comment 4 Andy Furniss 2015-10-27 19:56:31 UTC
(In reply to Marek Olšák from comment #3)
> Created attachment 119225 [details] [review] [review]
> fix 2
> 
> The first fix was not completely correct. Would you please test this one?
> Thanks.

fix2 is working OK.
Comment 5 Marek Olšák 2015-10-29 16:25:18 UTC
Fixed by 6a4dc1ad492d7d53c5c17e6eb975f0ed44b674.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.